package com.huyi.service.credit.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import java.util.List;
import java.util.Map;

public interface OwnCreditService {


    /**
     * 查询发票列表
     * @param map
     * @param request
     * @return
     */
    public IPage<Map> selectCreditList(Map map, QueryRequest request);

    /**
     * 查询授信额度
     * @param map
     * @return
     */
    List<Map> selectCreditLineList(Map map);


    /**
     * 获取供应商的授信额度
     * @param map
     * @return
     */
    List<Map> selectSupplierCreditLineList(Map map);

    /**
     * 查询核心开立接收方
     * @param map
     * @return
     */
    public IPage<Map> getReceiverList(Map map,QueryRequest request);

    /**
     * 核心开立应付账款
     * @param map
     * @return
     */
    public IPage<Map> getAccountsPay(Map map,QueryRequest request);

    /**
     * 融资开立应收账款
     * @param map
     * @param request
     * @return
     */
    public IPage<Map> getAccountsCollection(Map map,QueryRequest request);

    /**
     * 获取核心已用额度
     * @param map
     * @return
     */
    String getUsedBalance(Map map);

    /**
     * 获取供应商已用额度
     * @param map
     * @return
     */
    String getSupplierUsedBalance(Map map);

}
